/* ============================== Arma 2 Scifer's Behaviour Jukebox v0.01==================================

Automatically plays random music in an unlimited number of playlists and adjust its volume. All according
to player's behavior.

Warning:	Since a team shall act like a single unit, all units in player's group will have its behavior
			set automatically. This is an arma 2 engine imposition.

Usage:

Unpack "scripts" folder to your mission folder.
To initiate music function place the following code in init.sqf, where the arguments are the playlists
file names without extensions.

Exemple:
nul = ["oa","blackHawk"] execVM "scripts\music\music.sqf";

*/

_list		= [];
_careless	= [];
_safe		= [];
_aware		= [];
_combat		= [];
_stealth	= [];

nul = [] execVM "scripts\music\behaviour.sqf"; sleep 0.01;

for [{_i = 0}, {_i < count _this}, {_i = _i + 1}] do
{
	_list		= call compile preprocessFile format["scripts\music\%1.sqf",_this select _i];
	
	_careless	= _careless	+ (_list select 0);
	_safe		= _safe		+ (_list select 1);
	_aware		= _aware	+ (_list select 2);
	_combat		= _combat	+ (_list select 3);
	_stealth	= _stealth	+ (_list select 4);
};
_behaviour = "anything";
_lastAct		= -1000;

while {alive player} do
{
	if ((format["%1",_behaviour] != behaviour player) || ((dayTime - _lastAct) >= (3/60))) then	// Play music if elapsed time bigger than (minutes / 60).
	{
		_lastAct = dayTime;
		
		if (_lastStress > stress) then	// Fadeout when stress decreases
		{
			_fadeTime	= 5;
			_fadeTime fadeMusic 0;
			sleep _fadeTime;
		};
	
	if (stress >= 0.20) then {1 fadeMusic stress/2};
	//hintSilent format["Music volume: %1",musicVolume];
	
		switch (behaviour player) do
		{
			case "CARELESS":{playMusic format["%1",_careless select round(random (count _careless - 1))]};
			case "SAFE":	{playMusic format["%1",_safe select round(random (count _safe - 1))]};
			case "AWARE":	{playMusic format["%1",_aware select round(random (count _aware - 1))]};
			case "COMBAT":	{playMusic format["%1",_combat select round(random (count _combat - 1))]};
			case "STEALTH":	{playMusic format["%1",_stealth select round(random (count _stealth - 1))]};
		};
	
	};
	
	_lastStress	= stress;
	_behaviour = behaviour player;
	sleep 1;
};